EDIT - bug #10182

Portal does not show typespecimen for duplicated typedesignation
11/09/2022 11:39 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.35

Severity: normal Found in Version:

Description
mail NadjaK:

wenn ich einen Typus Uber ,Create type duplicate” dupliziere, wird das im Portal nicht angezeigt.

viele GruBe
Nadja
= Type Information + + 4 ¢
Specimen Jamaica, Proctor 37757 (K: UE=3I 2N
K025 1508) ==
Designation Status | neatype .
Status Reference  Taylor, M. P. 1997: The genus =5 I.Ih |
Melocactus (Cactaceae) in =
Central and South America, =
Bradleya & 1-8
Details T ]
¥ Linkis) +
b mone
Mot Designated [
» Sources +
Specimen Jamaica, Proctor 37757 (NY: [ o IZI @ @
01093996) )
Designation Status | isonectype -
Status Reference = o |
Details
» Link{s) +
* more
Mot Designated [
r Sources +

Melocactus caroli-linnaei

General Specimens ¢

Melocactus caroli-linnoel N.PTaylor in Bradleya 9: 78, 1991 sec. Hunt 2006
= Coctus melocactus L., 5p. PL: 466. 1753 syn. sec. Taylor 1991
= Melocactus melococtus (L.) H.Karst., Deutsche Fl.: 888. 1882, nom. illeg., syn. sec. Taylor 1991
Neotype (designated by Taylor, N. P. 1991: 78"): Jamaica, Proctor 37757 (K: K000251509)
Isoneotype

1. Taylor, M. P 1991: The genus Melocactus (Cactaceas) in Central and South America, - Bradieya o 1-805

= Echinococtus melococtoides Lem., Cact. Alig. Nov.: 28. 1838 syn. sec. Britton & Rose 1922

Related issues:
Related to EDIT - bug #10185: Missing OccurrenceStatus Type creates NPE when ... Duplicate
Related to EDIT - feature request #2506: (Type-) Specimens may need status Closed

Associated revisions

Revision c042e8ee - 12/20/2022 01:13 PM - Andreas Miiller

ref #10182, ref #2506 add notNull to OccurrenceStatus.type to avoid meaningless status

Revision fbbfeef9 - 01/03/2023 10:42 AM - Katja Luther

ref #10182: do not allow to save derived unit without occurrence status type in wizard
Revision 98bad42ca - 01/03/2023 12:27 PM - Andreas Miiller
ref #2506, ref #10182 fix clone method for DerivedUnit.status

Revision 9a095fa3 - 01/03/2023 01:15 PM - Katja Luther
ref #10182: mark type red if empty

Revision 384cf0c3 - 01/03/2023 05:04 PM - Andreas Miiller

ref #10182 try to fix ClassNotFoundException for javax.validation.ConstraintViolation

Revision fdd9dc5b - 01/03/2023 11:21 PM - Andreas Miiller

ref #10182 fix widget is disposed in OccurrenceStatusElement

Revision e8fbd83a - 01/04/2023 11:57 AM - Andreas Miiller
ref #10182 adding test to find out what the validation behavior is during load

Revision ecf44663 - 01/04/2023 02:15 PM - Katja Luther
ref #10182: code cleaning

Revision €2833b13 - 01/04/2023 03:01 PM - Katja Luther

ref #10182: code cleaning with previous changes

Revision 9d6a9bbd - 01/05/2023 08:46 AM - Katja Luther

ref #10182: revert refresh of details view when loosing focus

Revision 6abed072 - 01/05/2023 09:28 AM - Katja Luther

ref #10182: disable details view after editing name in name editor

Revision abe228a4 - 01/05/2023 09:41 AM - Katja Luther

ref #10182: disable details view after editing name in name editor, refresh after save

Revision 5379e4c7 - 01/05/2023 09:46 AM - Katja Luther

ref #10182: disable details view after editing name in name editor - continue

Revision b3cd5153 - 01/05/2023 09:53 AM - Katja Luther

ref #10182: disable details view after editing name in name editor - code cleaning

Revision e65bc0e2 - 01/05/2023 10:51 AM - Katja Luther

ref #10182: update details view when it gets the focus and there are changes

Revision cf54a234 - 01/05/2023 11:15 AM - Katja Luther

ref #10182: update details view when it gets the focus and there are changes - continue

Revision Oeae45c1 - 01/05/2023 12:21 PM - Katja Luther

ref #10182: disable details view after freetext changes

History

#1 - 11/09/2022 11:40 AM - Katja Luther
- Category set to cdm-dataportal

- Assignee set to Katja Luther

The webservice to get the specimen_dto of the typespecimen returns false.

#2 - 11/17/2022 03:27 PM - Katja Luther

The webservice failed because the derived unit had a occurrence status which had no type.

#3 - 11/17/2022 03:28 PM - Katja Luther
- Related to bug #10185: Missing OccurrenceStatus Type creates NPE when creating DTO added

#4 - 11/17/2022 03:35 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.35

#5 - 11/17/2022 05:48 PM - Andreas Miiller

Katja Luther wrote in #note-2:

The webservice failed because the derived unit had a occurrence status which had no type.

Is this an issue of the clone mechanism (#2506)? NaK mentioned that she created the clone just before.

#6 - 11/17/2022 05:48 PM - Andreas Miiller
- Related to feature request #2506: (Type-) Specimens may need status added

#7 - 11/28/2022 12:10 PM - Andreas Miuller

- Status changed from New to In Progress

#8 - 11/30/2022 02:59 PM - Andreas Miiller
- Tags set to fast

- Category changed from cdm-dataportal to taxeditor

The Editor must guarantee that OcccurenceStatus.type is never null.

Additionally, we should add NotNull to OccurrenceStatus.type and .unit in the model.

#9 - 12/14/2022 12:33 PM - Andreas Miiller
- Priority changed from New to Highest
- % Done changed from 0 to 10

#10 - 01/03/2023 09:29 AM - Katja Luther

when adding a occurrenceStatus without type now an exception is thrown:

2023-01-03T09:28:35.757: http://localhost:8081/remoting/occurrence.servicefload [31.0 ms]
2023-01-03T09:28:35.801: http://localhost:8081/remoting/term.service#findWithoutFlush [17.0 ms]
2023-01-03T09:28:35.859: http://localhost:8081/remoting/common.service#initializeCollection [53.0 ms]
2023-01-03T09:28:36.36: http://localhost:8081/remoting/common.service#initializeCollection [46.0 ms]
2023-01-03T09:28:36.629: http://localhost:8081/remoting/common.service#initializeCollection [52.0 ms]
2023-01-03T09:28:41.754: http://localhost:8081/remoting-public/metadata.service#getDbSchemaVersion [6.0 ms]

!ENTRY org.eclipse.ui 4 0 2023-01-03 09:28:44.232
IMESSAGE Maybe the server is currently not available. If the problem persists please contact the server admin
with the error trace below.

I'STACK O

java.lang.Exception: last remote service : http://localhost:8081/remoting/occurrence.service
last remote method : getDbSchemaVersion

last remote request client time : 2023-01-03T09:28:41.665

client error time : 2023-01-03T09:28:41.755

login : admin
editor version : 5.35.0.qualifier
server : localhost (localhost-dev)

schema version : 5.35.1.0.20221218
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_131
org.springframework.remoting.RemoteAccessException: Could not deserialize result from HTTP invoker remote serv
ice [http://localhost:8081/remoting/occurrence.service]; nested exception is Jjava.lang.NoClassDefFoundError: j
avax/validation/ConstraintViolation

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor.java:221)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:213)

at com.sun.proxy.$Proxy96.merge (Unknown Source)
eu.etaxonomy.taxeditor.ui.selection.EditFromSelectionWizard.performFinish (EditFromSelectionWizard. java:

org.eclipse.jface.wizard.WizardDialog.finishPressed (WizardDialog. java:790)
org.eclipse.jface.wizard.WizardDialog.buttonPressed (WizardDialog. java:423)
org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)
org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.jface.window.Window.runEventLoop (Window. java:818)
org.eclipse.jface.window.Window.open (Window. java:794)
eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected (EntitySelectionE
java:388)

org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:20)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher. java:104)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)
org.eclipse.equinox.launcher.Main.main (Main. java:1492)

by: java.lang.NoClassDefFoundError: javax/validation/ConstraintViolation
java.lang.ClassLoader.defineClassl (Native Method)

java.lang.ClassLoader.defineClass (ClassLoader.java:763)
org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass (ModuleClassLoader. java:273)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass (ClasspathManager.java:632)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl (ClasspathManager. java:586)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl (ClasspathManager. java:53

org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass (ClasspathManager. java:525)
org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass (ModuleClassLoader. java:325)
org.eclipse.osgi.internal.loader.BundlelLoader.findLocalClass (BundleLoader. java:345)
org.eclipse.osgi.internal.loader.BundlelLoader.findClassInternal (BundleLoader. java:423)
org.eclipse.osgi.internal.loader.BundleLoader.findClass (BundleLoader. java:372)
org.eclipse.osgi.internal.loader.BundleLoader.findClass (BundleLoader. java:364)
org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass (ModuleClassLoader.java:161)
java.lang.ClassLoader.loadClass (ClassLoader.java:357)

java.lang.ClassLoader.defineClassl (Native Method)

java.lang.ClassLoader.defineClass (ClassLoader.java:763)
org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass (ModuleClassLoader. java:273)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass (ClasspathManager.java:632)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl (ClasspathManager. java:586)
org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl (ClasspathManager. java:53

org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass (ClasspathManager. java:525)
org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass (ModuleClassLoader. java:325)
org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass (BundleLoader. java:345)
org.eclipse.osgi.internal.loader.BundlelLoader.findClassInternal (BundleLoader. java:423)
org.eclipse.osgi.internal.loader.BundleLoader.findClass (BundleLoader. java:372)
org.eclipse.osgi.internal.loader.BundleLoader.findClass (BundleLoader. java:364)
org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass (ModuleClassLoader.java:161)
java.lang.ClassLoader.loadClass (ClassLoader.java:357)

04/09/2024 4/11



at java.lang.Class.forNameO (Native Method)
at java.lang.Class.forName (Class.java:348)

at java.io.ObjectInputStream.resolveClass (ObjectInputStream. java:677)
at org.springframework.core.ConfigurableObjectInputStream.resolveClass (ConfigurableObjectInputStream. java:

78)

at java.io.ObjectInputStream.readNonProxyDesc (ObjectInputStream. java:1826)
at java.io.ObjectInputStream.readClassDesc (ObjectInputStream. java:1713)
at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2000)

at java.io.ObjectInputStream.readObject0 (ObjectInputStream.java:1535)
at java.io.ObjectInputStream.readObject (ObjectInputStream. java:422)
at java.util.HashSet.readObject (HashSet.java:333)

at sun.reflect.GeneratedMethodAccessor44.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.

invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at java.io.ObjectStreamClass.invokeReadObject (ObjectStreamClass. java:1058)
at java.io.ObjectInputStream.readSerialData (ObjectInputStream. java:2136)
at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2027)

at java.io.ObjectInputStream.readObject0 (ObjectInputStream. java:1535)
at java.io.ObjectInputStream.defaultReadFields (ObjectInputStream. java:2245)
at java.io.ObjectInputStream.readSerialData (ObjectInputStream. java:2125)

at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2027)
at java.io.ObjectInputStream.readObject0 (ObjectInputStream. java:1535)
at java.io.ObjectInputStream.defaultReadFields (ObjectInputStream. java:2245)

at java.io.ObjectInputStream.readSerialData (ObjectInputStream.java:2169)
at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2027)
at java.io.ObjectInputStream.readObject0 (ObjectInputStream. java:1535)

at java.io.ObjectInputStream.defaultReadFields (ObjectInputStream. java:2245)
at java.io.ObjectInputStream.readSerialData (ObjectInputStream. java:2169)
at java.io.ObjectInputStream.readOrdinaryObject (ObjectInputStream. java:2027)

at java.io.ObjectInputStream.readObject0 (ObjectInputStream. java:1535)
at java.io.ObjectInputStream.readObject (ObjectInputStream. java:422)

at org.springframework.remoting.httpinvoker.
t (AbstractHttpInvokerRequestExecutor. java:291)

at org.springframework.remoting.httpinvoker.
AbstractHttpInvokerRequestExecutor. java:242)

at org.springframework.remoting.httpinvoker.
ComponentsHttpInvokerRequestExecutor. java:248)

at org.springframework.remoting.httpinvoker.
InvokerRequestExecutor. java:137)

at org.springframework.remoting.httpinvoker.
nterceptor.java:202)

at org.springframework.remoting.httpinvoker.
nterceptor. java:184)

at org.springframework.remoting.httpinvoker.
pInvokerProxyFactoryBean. java:161)

at org.springframework.remoting.httpinvoker.
gHttpInvokerProxyFactoryBean. java:95)

at org.springframework.remoting.httpinvoker.
nvokerProxyFactoryBean. java:88)

at org.springframework.remoting.httpinvoker.
or.java:150)

44 more

AbstractHttpInvokerRequestExecutor.doReadRemoteInvocationResul
AbstractHttpInvokerRequestExecutor.readRemoteInvocationResult (
HttpComponentsHttpInvokerRequestExecutor.doExecuteRequest (Http
AbstractHttpInvokerRequestExecutor.executeRequest (AbstractHttp
HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
HttpInvokerClientInterceptor.executeRequest (HttpInvokerClientI
CachingHttpInvokerProxyFactoryBean.doExecuteRequest (CachingHtt
CachingHttpInvokerProxyFactoryBean.handleGeneralRequest (Cachin
CachingHttpInvokerProxyFactoryBean.executeRequest (CachingHttpl

HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept

Caused by: java.lang.ClassNotFoundException: javax.validation.ConstraintViolation cannot be found by eu.etaxon

omy.taxeditor.cdmlib_5.35.0.qualifier

at org.eclipse.osgi.internal.loader.BundlelLoader.findClassInternal (BundleLoader. java:461)
at org.eclipse.osgi.internal.loader.BundlelLoader.findClass (BundleLoader. java:372)

at org.eclipse.osgi.internal.loader.BundleLoader.findClass (BundleLoader. java:364)

at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass (ModuleClassLoader.java:161)
at java.lang.ClassLoader.loadClass (ClassLoader.java:357)

112 more

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:289)

at org.eclipse.swt.widgets.RunnableLock.run (RunnablelLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse. jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement$EditListener.widgetSelected (EntitySelectionE

lement. java:388)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench.java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

#11 - 01/03/2023 10:47 AM - Katja Luther

Added a check in derived unit wizard, which is used for editing specimens of type designations.
#12 - 01/03/2023 10:49 AM - Katja Luther
Andreas Muller wrote in #note-5:

Katja Luther wrote in #note-2:

The webservice failed because the derived unit had a occurrence status which had no type.

Is this an issue of the clone mechanism (#2506)? NaK mentioned that she created the clone just before.

We both (AM und KL) checked the clone mechanism, but during cloning there is no occurrence status created. So | added the check for the editing
wizard.

#13 - 01/03/2023 12:37 PM - Andreas Miiller

| think the TaxEditor implementation does not use DerivedUnit.clone(). However, there was a bug in the clone method that is fixed now (
0ec25996a3f6).

#14 - 01/03/2023 12:38 PM - Andreas Miiller

Katja Luther wrote in #note-12:

We both (AM und KL) checked the clone mechanism, but during cloning there is no occurrence status created. So | added the check for the
editing wizard.

Is this already pushed and for review?

#15 - 01/03/2023 12:40 PM - Katja Luther
Andreas Miiller wrote in #note-13:
| think the TaxEditor implementation does not use DerivedUnit.clone(). However, there was a bug in the clone method that is fixed now (

0ec25996a316).

There are only changes in javadoc?

#16 - 01/03/2023 12:42 PM - Katja Luther
Andreas Muller wrote in #note-14:

Katja Luther wrote in #note-12:
We both (AM und KL) checked the clone mechanism, but during cloning there is no occurrence status created. So | added the check for the
editing wizard.

Is this already pushed and for review?

Yes, but there is still one issue that the type is not marked after creating the new occurrence status. It should be marked red to show why the
specimen can't be saved.

#17 - 01/03/2023 01:10 PM - Andreas Miiller

Katja Luther wrote in #note-16:
Andreas Muller wrote in #note-14:

Katja Luther wrote in #note-12:

We both (AM und KL) checked the clone mechanism, but during cloning there is no occurrence status created. So | added the check
for the editing wizard.

Is this already pushed and for review?

Yes, but there is still one issue that the type is not marked after creating the new occurrence status. It should be marked red to show why the
specimen can't be saved.

Katja Luther wrote in #note-15:
Andreas Muller wrote in #note-13:

| think the TaxEditor implementation does not use DerivedUnit.clone(). However, there was a bug in the clone method that is fixed now (
0ec25996a3f6).

There are only changes in javadoc?

Upps, sorry, | meant 98ba42ca6a5d0

#18 - 01/03/2023 01:29 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

Katja Luther wrote in #note-16:
Andreas Muller wrote in #note-14:

Katja Luther wrote in #note-12:

We both (AM und KL) checked the clone mechanism, but during cloning there is no occurrence status created. So | added the check
for the editing wizard.

Is this already pushed and for review?

Yes, but there is still one issue that the type is not marked after creating the new occurrence status. It should be marked red to show why the
specimen can't be saved.

Now everything is pushed and jenkins built successfully.

#19 - 01/03/2023 01:29 PM - Katja Luther

- Status changed from Resolved to In Progress
#20 - 01/03/2023 02:28 PM - Andreas Miiller

- % Done changed from 10 to 60

did you put this back to InProgress on purpose?

#21 - 01/03/2023 02:34 PM - Katja Luther

- Status changed from In Progress to Resolved

Andreas Muller wrote in #note-20:

did you put this back to InProgress on purpose?

the exception isn't fixed but could not be thrown anymore. So we could set it to resolved again, but maybe we should have a look whether the
ClassNotFoundException was thrown.

#22 - 01/03/2023 05:11 PM - Andreas Miiller
| tried to fix the ClassNotFoundException (taxeditor:commit:384cf0c384d17e0f). Still needs to be tested.

#23 - 01/03/2023 10:12 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

In the TaxEditor log | find multiple times

'ENTRY eu.taxeditor 2 0 2023-01-03 21:56:39.428
IMESSAGE Widget is disposed

ISTACK O
org.eclipse.swt.SWIException: Widget is disposed

at
at
at
at
at
at
at

at

lement.

at
at
at
at
at
at
at

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

swt

swt .

swt
swt
swt

.SWT.error (SWT. java:4533)
swt.

SWT.error (SWT. java:4448)
SWT.error (SWT. java:4419)

.widgets.Widget.error (Widget.java:482)
.widgets.Widget.checkWidget (Widget.java:354)
.widgets.Control.setBackground (Control. java:3101)

eu.etaxonomy.taxeditor.ui.section.occurrence.OccurrenceStatusElement.setBackground (OccurrenceStatusElem
ent.java:111)
eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement.setSelected (AbstractEntityCollectionE

java:158)

eu.etaxonomy.taxeditor.ui.element.SelectionArbitrator.selectionChanged (SelectionArbitrator. java:147)
jface.viewers.Viewer$l.run (Viewer. java:158)

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

core.runtime.SafeRunner.run (SafeRunner. java:42)
ui.internal.JFaceUtil$1l.run (JFaceUtil. java:50)
jface.util.SafeRunnable.run(SafeRunnable.java:173)

jface.viewers.Viewer.fireSelectionChanged (Viewer. java:155)
eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.setSelection (DetailsViewerE4. java:462)

The relevant line is the middle line in

for (Control element : getControls()) {

element.setBackground (color) ;

in OccurrenceStatusElement.setBackground().

When fixing please fix also the NPE warning above related to

element.setBackground (colorRedSWT) ;

(and maybe leave a more specific comment in getSelectionArbitrator() (currently it is only the default comment for auto-generated code)

Please be aware that | did some cleanup in the file so pull first.

#24 - 01/03/2023 11:22 PM - Andreas Miiller

| fixed the widgetlsDisposed issue already. Please review and do the other changes.

#25 - 01/03/2023 11:33 PM - Andreas Miiller
- File clipboard-202301032329-0sgqgk.png added
- % Done changed from 60 to 80

Andreas Muller wrote in #note-22:

I tried to fix the ClassNotFoundException (taxeditor:commit:384cf0c384d17e0f). Still needs to be tested.

I tried to test. If removing the type (type_id) of an OccurrenceStatus in the db (e.g. for record OccurrenceStatus.id = 72 in rem_conf_am) | would
expect some kind of exception to be thrown when loading the related record (load synonym "Spartina versicolor E. Fabre" and go to second specimen
type and edit the specimen). Instead the following record is shown:

- Status: - +

Type @]
Source | Save reference |E|
|

Details |
= Link(s) +
Mo external link yet.

F maore

| would expect the the NotNull constraint information is thrown in some way here and the record can not be loaded. But this is not the case.
Do you have any idea why this is the case? Do we use DTOs here (for DTOs | do not know the expected behaviour).

| did not find any exception, neither in the taxeditor log nor in the cdmserver log.
#26 - 01/04/2023 09:15 AM - Katja Luther
Andreas Muller wrote in #note-25:
Andreas Miiller wrote in #note-22:
| tried to fix the ClassNotFoundException (taxeditor:commit:384cf0c384d17e0f). Still needs to be tested.
| tried to test. If removing the type (type_id) of an OccurrenceStatus in the db (e.g. for record OccurrenceStatus.id = 72 in rem_conf_am) | would

expect some kind of exception to be thrown when loading the related record (load synonym "Spartina versicolor E. Fabre" and go to second
specimen type and edit the specimen). Instead the following record is shown:

w Status: - *
= @]
Source | Save reference |E|

Details | |
w Link(s) *

Mo external link yet.
¥ more

| would expect the the NotNull constraint information is thrown in some way here and the record can not be loaded. But this is not the case.
Do you have any idea why this is the case? Do we use DTOs here (for DTOs | do not know the expected behaviour).

| did not find any exception, neither in the taxeditor log nor in the cdmserver log.

Maybe the validation only takes place during saving/merging?

#27 - 01/04/2023 09:16 AM - Katja Luther
Andreas Muller wrote in #note-24:

| fixed the widgetlsDisposed issue already. Please review and do the other changes.

thanks!

#28 - 01/04/2023 12:05 PM - Andreas Miiller

Katja Luther wrote in #note-26:

Andreas Muller wrote in #note-25:
Andreas Muller wrote in #note-22:
| tried to fix the ClassNotFoundException (taxeditor:commit:384cf0c384d17e0f). Still needs to be tested.
| tried to test. If removing the type (type_id) of an OccurrenceStatus in the db (e.g. for record OccurrenceStatus.id = 72 in rem_conf_am) |

would expect some kind of exception to be thrown when loading the related record (load synonym "Spartina versicolor E. Fabre" and go to
second specimen type and edit the specimen). Instead the following record is shown:

~ Status: - ¥

= ~|a]
Source | Save reference |E|
Details | |

w Link(s) *

Mo external link yet.

P more

I would expect the the NotNull constraint information is thrown in some way here and the record can not be loaded. But this is not the case.
Do you have any idea why this is the case? Do we use DTOs here (for DTOs | do not know the expected behaviour).

| did not find any exception, neither in the taxeditor log nor in the cdmserver log.

Maybe the validation only takes place during saving/merging?

| thought that | had observed validation during load. But now | implemented a test (e8fbd83a93a44) that shows that validation does not take place
during testing. So this issue is solved.

#29 - 01/04/2023 02:15 PM - Katja Luther
- Status changed from Feedback to Closed

made code cleaning mentioned in note#23, so we can close this ticket.

#30 - 01/04/2023 02:50 PM - Andreas Miiller
- Status changed from Closed to Feedback

Katja Luther wrote in #note-29:

made code cleaning mentioned in note#23, so we can close this ticket.

The code cleaning mostly reverted all my changes. Please correct!

#31 - 01/04/2023 03:07 PM - Katja Luther
Andreas Miiller wrote in #note-30:

Katja Luther wrote in #note-29:

made code cleaning mentioned in note#23, so we can close this ticket.

The code cleaning mostly reverted all my changes. Please correct!

reverted the last commit and added my changes again.

#32 - 01/04/2023 04:02 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Looks ok now, | think we can finally close this ticket now.
